$(document).on('deviceready', function() {
                              
	$('#LocalBusinessman').bind('touchstart', function() {
		processing_iap = 1;
		$("#iap_loading_message").html("Processing...");
		$('#investor_list').hide();
		$('#investor_iap_processing').show();
		buy("localinvestor");
	});
	
	$('#RussianOligarch').bind('touchstart', function() {
		processing_iap = 1;
		$("#iap_loading_message").html("Processing...");
		$('#investor_list').hide();
		$('#investor_iap_processing').show();
		buy("russiantycoon");
	});
	
	$('#ArabBillionaire').bind('touchstart', function() {
		processing_iap = 1;
		$("#iap_loading_message").html("Processing...");
		$('#investor_list').hide();
		$('#investor_iap_processing').show();
		buy("arabbillionaire");
	});
	
	$('#superIAP').bind('touchstart', function() {
	   if (processing_iap == 0) {
		   if (checkConnection()!="offline") {
			   buy('superstadium');
			   processing_iap = 1;
			   $.mobile.loading('show');
		   } else {
			   basicAlert("No Internet Connection","Please connect to the internet and try again.","OK");
		   }
	   }
	});
		
	$('#investor_list').hide();
	$('#investor_iap_processing').show();
	getIAPs(true);
	console.log("About to initialise");
	initIAPs();
	
	$('#money_page').live('pageshow', function(e) {
		$('#investor_no_connection').hide();
		if(!processing_iap && !loading_iaps) {
			getIAPs(false); 
		}
	});
	
	$('#stadium_page').live('pageshow', function(e) {
		$('#investor_no_connection').hide();
		if (cfg_stadium_capacity!=120000) {
			// not got super-stadium
			if(!processing_iap && !loading_iaps) {
				getIAPs(false); 
			}
		}
	});
	
	$('#investment_page').live('pageshow', function(e) {
		console.log("iap_first_load: "+iap_first_load); // 1
		console.log("loading_iaps: "+loading_iaps); // 1
		console.log("processing_iap: "+processing_iap); // 0
		
		if(processing_iap == 1) {
			 
			 $("#iap_loading_message").html("Contacting App Store...");
			
			$('#investor_iap_processing').show();
			$('#investor_list').hide();
			$('#investor_no_connection').hide(); 
		} else {
			$('#investor_iap_processing').hide();
			if (checkConnection()!="offline") {
				$('#investor_no_connection').hide();
				$('#investor_list').show();	
			} else {
				$('#investor_no_connection').show();
				$('#investor_list').hide();		
			}
		}
		
	});
	  
});

function getIAPs(init) {
    
    if (checkConnection()!="offline") {
	
        loading_iaps = 1;

        if (init) {
            iap_first_load = 1;
            //$('#investor_list').hide();
            //$('#investor_iap_processing').show();
        }
        else iap_first_load = 0;

        $jsonurl = 'http://www.football-chairman.net/app-data-full-1-0/iapData-full.php';
        $.ajax({
            dataType: "json",
            url: $jsonurl,
            success: function(iapData) {
                for (var key in iapData) {
                    //alert(iapData[key]["id"]);
                    //alert(iapData[key]["price"]);
                    price = iapData[key]["price"];
                    switch(iapData[key]["id"])
                        {
                        case "localinvestor":
                            $("#LocalBusinessmanPrice").html(price);
                            iap_first_load = 0;
                            if (init) {
                                    $('#investor_iap_processing').hide();
                                    $('#investor_list').show();
                            }
                            break;
                        case "russiantycoon":
                            $("#RussianOligarchPrice").html(price);
                            iap_first_load = 0;
                            if (init) {
                                    $('#investor_iap_processing').hide();
                                    $('#investor_list').show();
                            }
                            break;
                        case "arabbillionaire":
                            $("#ArabSheikhPrice").html(price);
                            loading_iaps = 0;
                            iap_first_load = 0;
                            if (init) {
                                    $('#investor_iap_processing').hide();
                                    $('#investor_list').show();
                            }
                            break;
                        case "superstadium":
                            $("#SuperStadiumPrice").html(price);
                            loading_iaps = 0;
                            iap_first_load = 0;
                            if (init) {
                                    $('#investor_iap_processing').hide();
                                    $('#investor_list').show();
                            }
                            break;
                        default:
                          //alert(iapData[key]["id"]);
                        }
                }
                //$.mobile.loading('hide');
            },
            error: function(x, textStatus, errorThrown) {
                loading_iaps = 0;
            }
        });
        
    } // if (checkConnection()!="offline")
	
} // getIAPs 


function initIAPs(){
	// Initialize the billing plugin
	if(inappbilling) {
		inappbilling.init(initSuccess, initError); 
	}
	//	else alert("Error initialising In App Products");
}

function initSuccess (result) {
	/*var strResult = "";
	if(typeof result === 'object') {
		strResult = JSON.stringify(result);
	} else {
		strResult = result;
	}*/
	//alert("Successfully initialised In App Products: \r\n"+strResult );
	// check for unconsumed products (shouldn't be any - but if there are, consume them)
	ownedProducts();
}

function initError (error) {
	//alert("Error initialising In App Products");
	//alert("Error initialising In App Products: \r\n"+error );
}

function generalHandler (result) {
	var strResult = "";
	if(typeof result === 'object') {
		strResult = JSON.stringify(result);
	} else {
		strResult = result;
	}
	console.log("Result: \r\n"+strResult );
}

// Click on purchase button
function buy(id){
	$.mobile.loading('show');
	// make the purchase
	
	inappbilling.buy(buySuccess, buyError,id);

}

function buySuccess (obj) {
    var productId = obj.productId;
	console.log('purchased: ' + productId);
	
	$('#investor_iap_processing').hide();
	$('#investor_list').show();
	processing_iap = 0;
	$.mobile.loading('hide');
	
	var a = "localinvestor",
	b = "russiantycoon",
	c = "arabbillionaire",
	d = "superstadium";
	
	//alert("productId: " + productId);
	
	if(productId == a) {
		basicAlert("Congratulations!","A local businessman has invested £500k in your club!","OK");
		confirmInvestment(500000);
	}
	
	if(productId == b) {
		basicAlert("Congratulations!","A Russian Tycoon has invested £5m in your club!","OK");
		confirmInvestment(5000000);
	}
	
	if(productId == c) {
		basicAlert("Congratulations!","An Arab Billionaire has invested £50m in your club!","OK");
		confirmInvestment(50000000);
	}
	
	if(productId == d) {
		confirmSuper("iap");
	}
	
	consumePurchase(productId);
}

function buyError (error) {
	$.mobile.loading('hide');
	processing_iap = 0;
	console.log('failed: ' + error);
	$('#investor_iap_processing').hide();
	$('#investor_list').show();
	basicAlert("Purchase Unsuccessful", "You have not been charged.\n\nIf you still wish to purchase this please try again.","OK");
	//basicAlert("Error", error, "OK");
}

function consumePurchase(id) {
	inappbilling.consumePurchase(consumeSuccess, consumeError, id);
}

function consumeSuccess (result) {
	/*var strResult = "";
	if(typeof result === 'object') {
		strResult = JSON.stringify(result);
	} else {
		strResult = result;
	}*/
	//alert("Successfully consumed product: \r\n"+strResult );
}

function consumeError (error) {
	//basicAlert("Error Consuming Product", "Error: "+error,"OK");
}

function ownedProducts(){
	// get unconsumed products
	inappbilling.getPurchases(ownedSuccess, ownedError);

}

function ownedSuccess (result) {
	var ownedProducts = result;

	for (var key in ownedProducts) {
	  if (ownedProducts.hasOwnProperty(key)) {
		//alert("About to consume " + ownedProducts[key].productId);
		consumePurchase(ownedProducts[key].productId);
	  }
	}
}

function ownedError (result) {
	/*var strResult = "";
	if(typeof result === 'object') {
		strResult = JSON.stringify(result);
	} else {
		strResult = result;
	}
	alert("ownedError: \r\n"+strResult );*/
}
/*
document.addEventListener('deviceready', function() {
	$('#investor_list').hide();
	$('#investor_iap_processing').show();
	getIAPs(true);
	console.log("About to initialise");
	initIAPs();
}); // on device ready close
*/